=== debian/changelog ===
libnewlib-nano (2.11.2-1) unstable; urgency=medium

  * 2.11.2 upstream release
  * Refactor meson and tinystdio changes
  * Make tinystdio pass printf/scanf tests

 -- Keith Packard <keithp@keithp.com>  Sun, 14 Oct 2018 22:26:58 -0700

libnewlib-nano (2.10.0-1) unstable; urgency=medium

  * Initial release

 -- Keith Packard <keithp@keithp.com>  Sat, 04 Aug 2018 18:37:23 +0800
